### Function

# GLib List insert_before_link

since: 2.62

#### Declaration

    GList*
    g_list_insert_before_link (
      GList* list,
      GList* sibling,
      GList* link_
    )

#### Description

Inserts `link_` into the list before the given position.

Available since: 2.62

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A pointer to a `GList`, this must point to the top of the list.

  The data is owned by the caller of the function.

`sibling`

  Type: A list of `gpointer`

  The list element before which the new element is inserted or `NULL` to insert at the end of the list.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`link_`

  Type: A list of `gpointer`

  The list element to be added, which must not be part of any other list.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The (possibly changed) start of the `GList`.

The data is owned by the called function.